For Developers

List Student Period Meeting Groups

This model is part of the v2.5 API update which is currently in beta and therefore subject to change.

GET https://ed.link/api/v2/graph/student_period_meeting_groups

Retrieve a list of all Student Period Meeting Groups.

Request Parameters

This query allows for filtering results.

This query allows for standard paging parameters.

ParameterLocationTypeDescription
$firstquerynumber

Returns the first n elements from the list.

$lastquerynumber

Returns the last n elements from the list.

$beforequeryuuid

Returns the elements in the list that come before the specified item.

$afterqueryuuid

Returns the elements in the list that come after the specified item.

It is best practice to use either $first or $last in conjunction with the $next value returned by the API to paginate through results.

Sample Request

axios.get('https://ed.link/api/v2/graph/student_period_meeting_groups', {
    headers: {
        authorization: `Bearer ${integration_access_token}`
    }
});

Sample Response

{
    "$data": [
        {
            "id": "00000000-0000-0000-0000-000000000000",
            "created_date": "2021-07-05T20:32:40.454Z",
            "updated_date": "2021-07-12T21:44:23.126Z",
            "flags": [
                "single_attendance_record_required"
            ]
        }
    ],
    "$request": "00000000-0000-0000-0000-000000000000"
}